Bug 57972 - DnD does not pass Transferables to ExClipboard.Convertor correctly
DnD does not pass Transferables to ExClipboard.Convertor correctly
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
5.x
All All
: P3 (vote)
: 5.x
Assigned To: Jaroslav Tulach
issues@platform
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-18 09:13 UTC by Jan Becicka
Modified: 2008-12-22 22:06 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Proposed patch (2.65 KB, patch)
2005-04-18 09:14 UTC, Jan Becicka
Details | Diff
Test and fix (nearly as jbecicka's one) (11.19 KB, patch)
2005-04-21 11:04 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Becicka 2005-04-18 09:13:57 UTC
If several nodes are selected and DnD performed, registered
ExClipboard.Convertors are not called on top level ExTransferable.Multi, but on
inner Transferables. It is inconsistent with Cut/Paste action, where Convertors
are correctly called on top level ExTransferable.Multi.
Comment 1 Jan Becicka 2005-04-18 09:14:39 UTC
Created attachment 21693 [details]
Proposed patch
Comment 2 Jaroslav Tulach 2005-04-21 09:23:04 UTC
I'll implement it. 
Comment 3 Jaroslav Tulach 2005-04-21 11:04:36 UTC
Created attachment 21787 [details]
Test and fix (nearly as jbecicka's one)
Comment 4 Jaroslav Tulach 2005-04-21 11:06:36 UTC
I'd like to call the ExClipboard.Convertor just once during drag and also I've 
changed to code to call Node.drag() instead of Node.clipboardCopy() as 
AbstractNode.drag delegates to clipboardCopy. Acceptable? 
 
I'll write apichanges before integration. 
Comment 5 Jaroslav Tulach 2005-04-28 07:09:21 UTC
I'll integrate tomorrow.  
Comment 6 Jaroslav Tulach 2005-04-29 12:44:53 UTC
cvs ci -m "#57972: ExClipboard.convert is now called for whole multiselction 
and for copy we use Node.drag. Version 6.3 of whole openide is reused from 
today's jlahoda's change"   
 
Checking in explorer/apichanges.xml; 
/cvs/openide/explorer/apichanges.xml,v  <--  apichanges.xml 
new revision: 1.2; previous revision: 1.1 
done 
Checking in explorer/manifest.mf; 
/cvs/openide/explorer/manifest.mf,v  <--  manifest.mf 
new revision: 1.4; previous revision: 1.3 
done 
Checking in explorer/src/org/openide/explorer/view/DragDropUtilities.java; 
/cvs/openide/explorer/src/org/openide/explorer/view/DragDropUtilities.java,v  
<--  DragDropUtilities.java 
new revision: 1.2; previous revision: 1.1 
done 
RCS 
file: /cvs/openide/test/unit/src/org/openide/explorer/view/DragDropUtilitiesTest.java,v 
done 
Checking in 
test/unit/src/org/openide/explorer/view/DragDropUtilitiesTest.java; 
/cvs/openide/test/unit/src/org/openide/explorer/view/DragDropUtilitiesTest.java,v  
<--  DragDropUtilitiesTest.java 
initial revision: 1.1 
done 
 
Comment 7 Tomas Danek 2005-07-15 12:28:41 UTC
Can j.becicka verify this?? thanx
Comment 8 Jan Becicka 2005-12-09 09:40:32 UTC
Verified.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo